Apache Struts API Documentation: Class Constants

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class Constants

    java.lang.Object
      |
      +--org.apache.struts.taglib.html.Constants

public class Constants
extends java.lang.Object

Manifest constants for this package.

Field Summary
`static java.lang.String` | `BEAN_KEY` The attribute key for the bean our form is related to.
`static java.lang.String` | `CANCEL_PROPERTY` The property under which a Cancel button press is reported.
`static java.lang.String` | `CANCEL_PROPERTY_X` The property under which a Cancel button press is reported, if the Cancel button is rendered as an image.
`static java.lang.String` | `FORM_KEY` The attribute key for the form tag itself.
`static java.lang.String` | `Package` The name of this package.
`static java.lang.String` | `SELECT_KEY` The attribute key for the select tag itself.
`static java.lang.String` | `TOKEN_KEY` The property under which a transaction token is reported.

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### Package

    public static final java.lang.String Package

  The name of this package.

### BEAN_KEY

    public static final java.lang.String BEAN_KEY

  The attribute key for the bean our form is related to.

### CANCEL_PROPERTY

    public static final java.lang.String CANCEL_PROPERTY

  The property under which a Cancel button press is reported.

### CANCEL_PROPERTY_X

    public static final java.lang.String CANCEL_PROPERTY_X

  The property under which a Cancel button press is reported, if the Cancel button is rendered as an image.

### FORM_KEY

    public static final java.lang.String FORM_KEY

  The attribute key for the form tag itself.

### SELECT_KEY

    public static final java.lang.String SELECT_KEY

  The attribute key for the select tag itself.

### TOKEN_KEY

    public static final java.lang.String TOKEN_KEY

  The property under which a transaction token is reported.

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation